Get all contracts for a specific construction job
https://api.propexo.com/v1/construction-jobs/:construction_job_id/contractsAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the construction job
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the contract
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
CON001The external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
naThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for YARDI_REST
nullThe external ID of the construction job from the integration vendor
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
JOB001The external ID of the vendor from the integration vendor
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
VEN001custom_data object | nullrequired
The end date associated with the contract
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
2024-05-30T00:00:00.000ZThe expense type of the contract
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
Tenant ImprovementThe total amount invoiced, in cents, for the contract
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
40000Notes associated with the contract
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
Unit #50 Renovations ContractThe original amount of the contract
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
100000The retention percent of the contract
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
2.000000The start date associated with the contract
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
2024-01-15T00:00:00.000ZThe normalized status for the contract
This field will always be null for YARDI_REST
nullThe raw status associated with the contract
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
ApprovedThe total amount of the contract
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
100000The Propexo unique identifier for the construction job
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
clxzabcd1234567890abcdefThe Propexo unique identifier for the vendor
| Method | Interface |
|---|---|
| /ItfJobCost/GetContract | Job Cost |
clxzabcd1234567890abcdefThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/construction-jobs/:construction_job_id/contracts \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "CON001",
"x_property_id": "na",
"x_location_id": null,
"x_construction_job_id": "JOB001",
"x_vendor_id": "VEN001",
"custom_data": "Unknown Type: object,null",
"end_date": "2024-05-30T00:00:00.000Z",
"expense_type": "Tenant Improvement",
"invoiced_total_in_cents": 40000,
"notes": "Unit #50 Renovations Contract",
"original_amount_in_cents": 100000,
"retention_percent": "2.000000",
"start_date": "2024-01-15T00:00:00.000Z",
"status_normalized": null,
"status_raw": "Approved",
"total_amount_in_cents": 100000,
"construction_job_id": "clxzabcd1234567890abcdef",
"vendor_id": "clxzabcd1234567890abcdef",
"property_id": "clwi5xiix000008l6ctdgafyh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST"
}
]
}